merit.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::MeritBase< _View, _Val >
| Base-class for merit class. More...
class | Gecode::MeritFunction< View >
| Merit class for user-defined merit function. More...
class | Gecode::MeritDegree< View >
| Merit class for degree. More...
class | Gecode::MeritAFC< View >
| Merit class for AFC. More...
class | Gecode::MeritAction< View >
| Merit class for action. More...
class | Gecode::MeritCHB< View >
| Merit class for CHB. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace